;              
CREATE USER IF NOT EXISTS PSQUARED SALT 'aff673d6a133cdf9' HASH 'fdb4156f0e220d813520639a3dadcdffdc401e341acac87383d399cd9a10bead' ADMIN;      
CREATE SEQUENCE PUBLIC.HIBERNATE_SEQUENCE START WITH 1;        
CREATE CACHED TABLE PUBLIC.ENDORSEMENT(
    ENDORSEMENTKEY INTEGER NOT NULL,
    WHENSIGNED TIMESTAMP,
    ENDORSER_ENDORSERKEY INTEGER NOT NULL,
    NARRATIVE_NARRATIVEKEY INTEGER NOT NULL
);               
ALTER TABLE PUBLIC.ENDORSEMENT ADD CONSTRAINT PUBLIC.CONSTRAINT_8 PRIMARY KEY(ENDORSEMENTKEY); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ENDORSEMENT;              
CREATE CACHED TABLE PUBLIC.ENDORSER(
    ENDORSERKEY INTEGER NOT NULL,
    ACTION VARCHAR(64) NOT NULL
);      
ALTER TABLE PUBLIC.ENDORSER ADD CONSTRAINT PUBLIC.CONSTRAINT_9 PRIMARY KEY(ENDORSERKEY);       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ENDORSER; 
CREATE CACHED TABLE PUBLIC.ITEM(
    ITEMKEY INTEGER NOT NULL,
    NAME VARCHAR(255)
);        
ALTER TABLE PUBLIC.ITEM ADD CONSTRAINT PUBLIC.CONSTRAINT_2 PRIMARY KEY(ITEMKEY);               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ITEM;     
CREATE CACHED TABLE PUBLIC.LASTWATCHED(
    LASTWATCHEDKEY INTEGER NOT NULL,
    LASTDATETIME TIMESTAMP NOT NULL,
    ROLE VARCHAR(255) NOT NULL
);            
ALTER TABLE PUBLIC.LASTWATCHED ADD CONSTRAINT PUBLIC.CONSTRAINT_D PRIMARY KEY(LASTWATCHEDKEY); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.LASTWATCHED;              
CREATE CACHED TABLE PUBLIC.NARRATIVE(
    NARRATIVEKEY INTEGER NOT NULL,
    WHENCREATED TIMESTAMP NOT NULL,
    WHENDISCARDED TIMESTAMP,
    ITEM_ITEMKEY INTEGER,
    TOPIC_TOPICKEY INTEGER
);              
ALTER TABLE PUBLIC.NARRATIVE ADD CONSTRAINT PUBLIC.CONSTRAINT_E PRIMARY KEY(NARRATIVEKEY);     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.NARRATIVE;
CREATE CACHED TABLE PUBLIC.NARRATIVE_ENDORSEMENT(
    NARRATIVEIMPL_NARRATIVEKEY INTEGER NOT NULL,
    ENDORSEMENTIMPLS_ENDORSEMENTKEY INTEGER NOT NULL
);     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.NARRATIVE_ENDORSEMENT;    
CREATE CACHED TABLE PUBLIC.NARRATIVE_ENDORSER(
    NARRATIVEIMPL_NARRATIVEKEY INTEGER NOT NULL,
    ENDORSERIMPLS_ENDORSERKEY INTEGER NOT NULL
);              
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.NARRATIVE_ENDORSER;       
CREATE CACHED TABLE PUBLIC.POI(
    POINTOFINTERESTKEY INTEGER NOT NULL,
    LEVEL INTEGER,
    STATUS INTEGER,
    WHENOCCURRED TIMESTAMP,
    GUID_POIGUIDKEY INTEGER,
    TYPE_POITYPEKEY INTEGER
);        
ALTER TABLE PUBLIC.POI ADD CONSTRAINT PUBLIC.CONSTRAINT_1 PRIMARY KEY(POINTOFINTERESTKEY);     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.POI;      
CREATE CACHED TABLE PUBLIC.POIATTRIBUTE(
    POIATTRIBUTEKEY INTEGER NOT NULL,
    VALUE VARCHAR(255),
    NAME_POIATTRIBUTENAMEKEY INTEGER,
    POINTOFINTEREST_POINTOFINTERESTKEY INTEGER
); 
ALTER TABLE PUBLIC.POIATTRIBUTE ADD CONSTRAINT PUBLIC.CONSTRAINT_A PRIMARY KEY(POIATTRIBUTEKEY);               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.POIATTRIBUTE;             
CREATE CACHED TABLE PUBLIC.POIATTRIBUTENAME(
    POIATTRIBUTENAMEKEY INTEGER NOT NULL,
    VALUE VARCHAR(255)
);               
ALTER TABLE PUBLIC.POIATTRIBUTENAME ADD CONSTRAINT PUBLIC.CONSTRAINT_3 PRIMARY KEY(POIATTRIBUTENAMEKEY);       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.POIATTRIBUTENAME;         
CREATE CACHED TABLE PUBLIC.POIGUID(
    POIGUIDKEY INTEGER NOT NULL,
    VALUE VARCHAR(255)
); 
ALTER TABLE PUBLIC.POIGUID ADD CONSTRAINT PUBLIC.CONSTRAINT_12 PRIMARY KEY(POIGUIDKEY);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.POIGUID;  
CREATE CACHED TABLE PUBLIC.POITYPE(
    POITYPEKEY INTEGER NOT NULL,
    VALUE VARCHAR(255)
); 
ALTER TABLE PUBLIC.POITYPE ADD CONSTRAINT PUBLIC.CONSTRAINT_12E PRIMARY KEY(POITYPEKEY);       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.POITYPE;  
CREATE CACHED TABLE PUBLIC.SEENITEM(
    SEENITEMKEY INTEGER NOT NULL,
    ITEM VARCHAR(256) NOT NULL,
    LASTWATCHED_LASTWATCHEDKEY INTEGER NOT NULL
);      
ALTER TABLE PUBLIC.SEENITEM ADD CONSTRAINT PUBLIC.CONSTRAINT_6 PRIMARY KEY(SEENITEMKEY);       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SEENITEM; 
CREATE CACHED TABLE PUBLIC.TOPIC(
    TOPICKEY INTEGER NOT NULL,
    NAME VARCHAR(255)
);      
ALTER TABLE PUBLIC.TOPIC ADD CONSTRAINT PUBLIC.CONSTRAINT_4 PRIMARY KEY(TOPICKEY);             
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TOPIC;    
ALTER TABLE PUBLIC.NARRATIVE_ENDORSEMENT ADD CONSTRAINT PUBLIC.UK_F3BGBL9W6TAWBLTA23U9RTNXF UNIQUE(ENDORSEMENTIMPLS_ENDORSEMENTKEY);           
ALTER TABLE PUBLIC.TOPIC ADD CONSTRAINT PUBLIC.UK_MBUNN9ERV8NMF5LK1R2NU0NEX UNIQUE(NAME);      
ALTER TABLE PUBLIC.ENDORSER ADD CONSTRAINT PUBLIC.UK_33A8KITMY9ALBD7OVUFDULEH9 UNIQUE(ACTION); 
ALTER TABLE PUBLIC.ITEM ADD CONSTRAINT PUBLIC.UK_LCSP6A1TPWB8TFYWQHRSM2UVG UNIQUE(NAME);       
ALTER TABLE PUBLIC.NARRATIVE_ENDORSER ADD CONSTRAINT PUBLIC.UK_D71V4H6U6XDV092E199UOOHBS UNIQUE(ENDORSERIMPLS_ENDORSERKEY);    
ALTER TABLE PUBLIC.NARRATIVE_ENDORSER ADD CONSTRAINT PUBLIC.FKTEGXSXF1XXO6RDV41J8DP3L43 FOREIGN KEY(ENDORSERIMPLS_ENDORSERKEY) REFERENCES PUBLIC.ENDORSER(ENDORSERKEY) NOCHECK;
ALTER TABLE PUBLIC.NARRATIVE_ENDORSEMENT ADD CONSTRAINT PUBLIC.FKM0MD4RV75P3XUQCMXUPP2OEG3 FOREIGN KEY(NARRATIVEIMPL_NARRATIVEKEY) REFERENCES PUBLIC.NARRATIVE(NARRATIVEKEY) NOCHECK;          
ALTER TABLE PUBLIC.POIATTRIBUTE ADD CONSTRAINT PUBLIC.FKT89QJ0M0JXAPDI0MYPKW02XGL FOREIGN KEY(NAME_POIATTRIBUTENAMEKEY) REFERENCES PUBLIC.POIATTRIBUTENAME(POIATTRIBUTENAMEKEY) NOCHECK;       
ALTER TABLE PUBLIC.NARRATIVE ADD CONSTRAINT PUBLIC.FKMF0NNQRPFRFTNL6RNLV630CES FOREIGN KEY(TOPIC_TOPICKEY) REFERENCES PUBLIC.TOPIC(TOPICKEY) NOCHECK;          
ALTER TABLE PUBLIC.POIATTRIBUTE ADD CONSTRAINT PUBLIC.FKHBMF9108SV87MR5ESWKSO49BR FOREIGN KEY(POINTOFINTEREST_POINTOFINTERESTKEY) REFERENCES PUBLIC.POI(POINTOFINTERESTKEY) NOCHECK;           
ALTER TABLE PUBLIC.POI ADD CONSTRAINT PUBLIC.FKGKQLHIVYE5D9X3CA1JWR6H08V FOREIGN KEY(TYPE_POITYPEKEY) REFERENCES PUBLIC.POITYPE(POITYPEKEY) NOCHECK;           
ALTER TABLE PUBLIC.ENDORSEMENT ADD CONSTRAINT PUBLIC.FKGIGU8JRXSF0GRYGMKL5HED1JP FOREIGN KEY(ENDORSER_ENDORSERKEY) REFERENCES PUBLIC.ENDORSER(ENDORSERKEY) NOCHECK;            
ALTER TABLE PUBLIC.SEENITEM ADD CONSTRAINT PUBLIC.FKLE7RSA4D2LRPKJAJTUVC6QMYJ FOREIGN KEY(LASTWATCHED_LASTWATCHEDKEY) REFERENCES PUBLIC.LASTWATCHED(LASTWATCHEDKEY) NOCHECK;   
ALTER TABLE PUBLIC.POI ADD CONSTRAINT PUBLIC.FKF2ERW9J5MH3342UTU16ON4EGP FOREIGN KEY(GUID_POIGUIDKEY) REFERENCES PUBLIC.POIGUID(POIGUIDKEY) NOCHECK;           
ALTER TABLE PUBLIC.NARRATIVE ADD CONSTRAINT PUBLIC.FKO7DBUMWK6U2I6J4FCPBMA0X94 FOREIGN KEY(ITEM_ITEMKEY) REFERENCES PUBLIC.ITEM(ITEMKEY) NOCHECK;              
ALTER TABLE PUBLIC.NARRATIVE_ENDORSER ADD CONSTRAINT PUBLIC.FK9AH1101OTP60UV7I45BUFSQPO FOREIGN KEY(NARRATIVEIMPL_NARRATIVEKEY) REFERENCES PUBLIC.NARRATIVE(NARRATIVEKEY) NOCHECK;             
ALTER TABLE PUBLIC.NARRATIVE_ENDORSEMENT ADD CONSTRAINT PUBLIC.FK83UMV5AX9UBTQJNQDAWGA3UHX FOREIGN KEY(ENDORSEMENTIMPLS_ENDORSEMENTKEY) REFERENCES PUBLIC.ENDORSEMENT(ENDORSEMENTKEY) NOCHECK; 
ALTER TABLE PUBLIC.ENDORSEMENT ADD CONSTRAINT PUBLIC.FK7EHK7AW6SWQQB7KXPFOR8DMIP FOREIGN KEY(NARRATIVE_NARRATIVEKEY) REFERENCES PUBLIC.NARRATIVE(NARRATIVEKEY) NOCHECK;        
